> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Update Restore Account Connectivity Configuration

PUT https://%7Baccount-domain%7D.console.eon.io/api/v1/projects/{projectId}/restore-accounts/{accountId}/connectivity-config
Content-Type: application/json

Updates the connectivity configuration of the specified restore account.


Reference: https://docs.eon.io/api/api-reference/restore-connections/restore-accounts/connectivity-configuration/update-restore-account-connectivity-config

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project whose restore account connectivity configuration you want to update. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page in your global management console.
- `accountId` (string, required) — ID of the restore account

### Body (application/json)

This endpoint expects an UpdateRestoreAccountConnectivityConfigRequest.

- `aws` (AwsRestoreAccountConnectivityConfig, optional)
- `gcp` (GcpRestoreAccountConnectivityConfig, optional)

## Response

### 200

Restore account connectivity configuration updated.

- `restoreAccountConfig` (RestoreAccountConnectivityConfig, required)

## Errors

### 404 Not Found Error

Restore account not found.

- `any`

## Types

### AwsRestoreAccountConnectivityConfig

- `vpcConfigs` (list of AwsVpcConnectivityConfig, optional) — VPCs to configure.

### GcpRestoreAccountConnectivityConfig

- `networkConfigs` (list of GcpNetworkConnectivityConfig, optional) — Networks to configure.

### RestoreAccountConnectivityConfig

- `restoreAccountId` (string, required) — Eon-assigned ID of the restore account.
- `config` (ProviderRestoreAccountConnectivityConfig, required) — Configuration options.

### AwsVpcConnectivityConfig

- `region` (string, required) — VPC region.
- `vpc` (string, required) — VPC ID.
- `subnetsPerAvailabilityZone` (list of SubnetPerAvailabilityZone, optional) — Subnets to configure for availability zones in the VPC. For availability zones not specified in this list, Eon attempts to use the default subnet.
- `securityGroups` (ResourceTypeToSecurityGroup, optional) — Security groups to use for the restore server and restored RDS instances.

### GcpNetworkConnectivityConfig

- `network` (string, required) — Network name.
- `isSharedVpc` (boolean, required) — Indicates whether the VPC network is a shared VPC. If true, `networkHostProject` must be specified.
- `networkHostProject` (string, required) — ID of the project that hosts the VPC network. Applicable for shared VPC network.
- `subnetsPerRegion` (list of GcpSubnetPerRegion, optional) — Subnets to configure for regions in the network. For regions not specified in this list, Eon attempts to use the default subnet.

### ProviderRestoreAccountConnectivityConfig

- `aws` (AwsRestoreAccountConnectivityConfig, optional) — Connectivity configuration for an AWS restore account.
- `gcp` (GcpRestoreAccountConnectivityConfig, optional) — Connectivity configuration for a GCP restore account.

### SubnetPerAvailabilityZone

- `availabilityZone` (string, required) — Availability zone.
- `subnetId` (string, required) — Subnet ID to use.

### ResourceTypeToSecurityGroup

- `restoreServer` (list of string, optional) — Security group to use for the restore server. If not specified, Eon attempts to use the default security group. Currently, a single security group is supported.
- `restoredRdsInstance` (list of string, optional) — Security group to use for restored RDS instances. If not specified, Eon attempts to use the default security group. Currently, a single security group is supported.

### GcpSubnetPerRegion

- `region` (string, required) — Region.
- `subnetName` (string, required) — Subnet name.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "restoreAccountConfig": {
    "restoreAccountId": "7fb4bfae-853e-5e4f-9d35-ad8a1d2a0ad6",
    "config": {
      "aws": {
        "vpcConfigs": [
          {
            "region": "us-east-1",
            "vpc": "vpc-01234567890123456",
            "subnetsPerAvailabilityZone": [
              {
                "availabilityZone": "us-east-1a",
                "subnetId": "subnet-01234567890123456"
              }
            ],
            "securityGroups": {
              "restoreServer": [
                "sg-0d447a77aa14f9e90"
              ],
              "restoredRdsInstance": [
                "sg-02ce123456e7893c7"
              ]
            }
          }
        ]
      },
      "gcp": {
        "networkConfigs": [
          {
            "network": "network-01234567890123456",
            "isSharedVpc": true,
            "networkHostProject": "my-shared-vpc-project",
            "subnetsPerRegion": [
              {
                "region": "us-east1",
                "subnetName": "subnet-01234567890123456"
              }
            ]
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/projects/projectId/restore-accounts/accountId/connectivity-config"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/projects/projectId/restore-accounts/accountId/connectivity-config';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://{account-domain}.console.eon.io/api/v1/projects/projectId/restore-accounts/accountId/connectivity-config")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```